# 3.8.3. ຄຳນິຍາມຂອງປະເພດ hierarchy

## **3.8.3.1. ຄຳນິຍາມຂອງ XSD**

```
<xs:complexType name="hierarchy">
    <xs:sequence>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="child" type="node" minOccurs="1" />
      </xs:choice>
    </xs:sequence>  
    <xs:attribute name="code" type="xs:string" use="required" />
    <xs:attribute name="label" type="xs:string" use="required" />
    <xs:attribute name="description" type="xs:string" use="optional" />
    <xs:attribute name="progress" type="xs:string" use="optional" />
    <xs:attribute name="acknowledgement" type="xs:string" use="optional" />
    <xs:attribute name="disclaimer" type="xs:string" use="optional" />
    <xs:attribute name="accessConstraints" type="xs:string" use="optional" />
    <xs:attribute name="useConstraints" type="xs:string" use="optional" />
    <xs:attribute name="extends" type="xs:string" use="optional" />
  </xs:complexType>
```

ຕົວຢ່າງ:

```
<hierarchy
    code="Health_geo"
    label="Health geography hierarchy (MOH)"
    description=" This hierarchy allows to link each health facility with the Shire in which it is located"
    progress="Final"
    disclaimer="This hierarchy is being distributed without warranty of any kind, either expressed or implied. The responsibility for the interpretation and use of the dataset lies with the user. In no event shall the Ministry of Health be liable for damages arising from its use"
    accessConstraints="The access to this hiearchy is limited  to the users of the Common Geo-Registry tool for demonstrations purposes only"
    useConstraints="The use of this hierarchy is limited  to the to the users of the Common Geo-Registry tool for demonstrations purposes only"
    acknowledgement="Please acknowledge the Department of Planning, Ministry of Health of the Middle Earth when using this hierarchy"
    extends="ADM_H">
    <child code="SHR">
      <child code="Health_facility" />
    </child>
  </hierarchy>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geoprismregistry.com/readme/current-2/deployment-and-setup/3.8-configuration-based-type-setup/3.8-configuration-based-type-setup-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
